# ES-DE Frontend - Credits

# Programming

**ES-DE**\
Leon Styhre

**RetroPie EmulationStation**\
RetroPie community

**Original EmulationStation**\
Alec Lofquist

# Original UI Art & Design

Nils Bonenberger

# Translations

**English (United Kingdom)** \
Weestuarty \
**Catalan** \
Johnnydement \
**German** \
Thorsten \
Pest \
**Spanish (Spain)** \
Dani (stshunz) \
**French** \
Fredy27 (neuromancer974) \
**Italian** \
Viler \
**Dutch**\
Stefan VDB\
**Polish** \
kycho \
**Portuguese (Brazil)** \
MrVictorFull \
**Romanian** \
SilverGreen93 \
**Russian** \
Lulzee \
**Swedish** \
Leon Styhre \
Daniel Nylander \
**Japanese** \
冰棍 \
**Korean** \
wakeboxer \
**Simplified Chinese** \
邻家小熊 \
冰棍 \
**Traditional Chinese** \
Hsin Chiang

# Licenses

Please find the individual license files inside the [licenses](https://gitlab.com/es-de/emulationstation-de/-/tree/master/licenses) directory. There is also additional license information in the headers of most source files.

# Libraries

BlueZ \
https://github.com/bluez/bluez

CImg \
https://www.cimg.eu

curl \
https://curl.se

FFmpeg \
https://ffmpeg.org

FreeImage \
http://www.freeimage.sourceforge.net

FreeType \
https://www.freetype.org

GLEW \
http://glew.sourceforge.net

GLM \
https://github.com/g-truc/glm

HarfBuzz \
https://harfbuzz.github.io

ICU \
https://icu.unicode.org

libgit2 \
https://libgit2.org

libintl (gettext) \
https://www.gnu.org/software/gettext

libvpx \
https://github.com/webmproject/libvpx

LunaSVG \
https://github.com/sammycage/lunasvg

Ogg \
https://github.com/xiph/ogg

Opus \
https://gitlab.xiph.org/xiph/opus

Poppler \
https://poppler.freedesktop.org

pugixml \
https://pugixml.org

RapdidJSON \
https://rapidjson.org

rlottie \
https://github.com/Samsung/rlottie

SDL \
https://www.libsdl.org

UTF8-CPP \
https://github.com/nemtrif/utfcpp

Vorbis \
https://gitlab.xiph.org/xiph/vorbis

# Code

Some code (like the virtual keyboard) was borrowed from Batocera EmulationStation \
https://batocera.org

The MD5 hash functions were adapted from code by the BZFlag project \
https://www.bzflag.org

Some battery detection functionality for macOS was based on code from Battery Percentage Notifier \
https://github.com/Abhigyan126/Custom_Low_Battery_Warning

The scanline GLSL shader was adapted from code by the RetroArch project \
https://www.retroarch.com

The blur GLSL shaders were based on code from the following repository  \
https://github.com/Jam3/glsl-fast-gaussian-blur

# Resources

Akrobat font \
https://www.fontfabric.com/fonts/akrobat

DejaVu font \
https://dejavu-fonts.github.io

DroidSans font \
https://android.googlesource.com/platform/frameworks/base

Font Awesome \
https://fontawesome.com

GNU FreeFont (FreeMono) \
https://www.gnu.org/software/freefont

Nanum Square Neo font \
https://campaign.naver.com/nanumsquare_neo

Noto Emoji font \
https://fonts.google.com/noto/specimen/Noto+Emoji

Ubuntu font \
https://design.ubuntu.com/font

System status icons (some customizations have been made) \
https://phosphoricons.com

MAME ROM information \
https://www.mamedev.org

CA certificates (for TLS/SSL support on Windows) \
https://wiki.mozilla.org/CA

# Linear Theme

The Linear theme is based on [ESonline](https://github.com/Weestuarty/esonline-es-de) by Weestuarty.

[Carousel icons](https://github.com/szymon-kulak/es-de-moderntheme-nsoicons) originally made by Szymon Kulak and modified by the ES-DE project.

# Modern Theme

The Modern theme is based on [es-theme-switch](https://github.com/lilbud/es-theme-switch) by lilbud, and it was modified for ES-DE by Sophia Hadash.

Default [carousel icons](https://github.com/szymon-kulak/es-de-moderntheme-nsoicons) by Szymon Kulak.

[Nintendo Switch UI Font](https://www.cufonfonts.com/font/nintendo-switch-ui) by MH1.

Some logotype graphics by Dan Patrick.

# Slate Theme

The Slate theme is based on [recalbox-multi](https://gitlab.com/recalbox/recalbox-themes) by the Recalbox community, prior to their license change in 2018.

Some graphics from the [Carbon](https://github.com/RetroPie/es-theme-carbon) theme by Rookervik.

Some console and controller vector graphics by Bezza191.

Some logotype graphics by Dan Patrick.

# Sounds

Used by the default Slate theme as well as for fallback sounds (for themes that lack navigation sounds).

https://freesound.org/people/adcbicycle/sounds/14066

https://freesound.org/people/farpro/sounds/264762

https://freesound.org/people/farpro/sounds/264763

https://freesound.org/people/newlocknew/sounds/515827 \
(Sample cut slightly)

https://freesound.org/people/ertfelda/sounds/243701
